# Class ScreenSleepEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.ScreenSleepEvent

All Implemented Interfaces:
  `Serializable`

public final class ScreenSleepEvent extends AppEvent
Event sent when the displays attached to the system enter and exit power save sleep.

Since:
  9
See Also:
  - `ScreenSleepListener.screenAboutToSleep(ScreenSleepEvent)`
  - `ScreenSleepListener.screenAwoke(ScreenSleepEvent)`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScreenSleepEvent()`
  Constructs a `ScreenSleepEvent`.

- ## Method Summary

  ### Methods declared in class EventObject

  `getSource, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScreenSleepEvent

    public ScreenSleepEvent()
    Constructs a `ScreenSleepEvent`.
    Throws:
      `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
      `UnsupportedOperationException` - if Desktop API is not supported on the current platform
    See Also:
      - `Desktop.isDesktopSupported()`
      - `GraphicsEnvironment.isHeadless()`